<!--
  Generated template for the GrouplistPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header class="header-container">

  <ion-navbar color="headerColor" class="header-inner">
    <button ion-button menuToggle class="menu-icon-button">
      <div class="menu-icon-toggle"></div>
    </button>
    <ion-title class="header-title"><span class="title">Groups</span></ion-title>
    <ion-buttons class="group-add-icon-btn-container" end>
    	<button ion-button icon-only (click)="createGroup()" class="group-add-icon-btn">
      </button>
    </ion-buttons>
  </ion-navbar>

</ion-header>


<ion-content padding class="wrap-all">
  <div class="group-list-container">
    <div class="group-list-item" *ngFor="let allJoinedGroup of joinedGroupList$ | async">
      <div *ngFor="let allGroup of groupList$ | async">
        <div *ngIf="allJoinedGroup.key == allGroup.key" (click)="openSelectedGroup(allJoinedGroup.key)">
          <div class="group-image-container">
            <img-loader class="group-image" src="{{ allGroup.groupPhotoURL }}" useImg></img-loader>
          </div>
          <div class="group-name-container">
            <p class="group-name">{{ allGroup.groupName }}</p>
          </div>
        </div>
      </div>
    </div>
  </div>

</ion-content>
